
import React from 'react';
import agui from 'arm-gui';


class NotFound extends React.Component {
    constructor(props) {

        super(props);
    }

    render() {
        let url = this.props.history.location.pathname;
        console.log("[NotFoundPage - new React]PAGE NOT FOUND WITH URL:", url, this.context.router);
        return (
            <agui.aCard>
                {/* <agui.aCardHeader className="stand-alone">
                    <h1>Page not found</h1>
                </agui.aCardHeader>
                <agui.aCardBody>
                    <div >
                        <p>The requested URL <b>{'#'}{url}</b> was not found.</p>
                        <p>Please check misspelling and try again.</p>
                    </div>
                    <p>&nbsp;</p>
                    <p>&nbsp;</p>
                    <p>&nbsp;</p>
                    <p>&nbsp;</p>
                </agui.aCardBody> */}
            </agui.aCard>
        );
    }
}


export default NotFound;